{ pkgs, ... }:
let
  plymouth_logo = pkgs.fetchurl {
    url = "https://files.huwe.mooo.com/outlinenobackground.png";
    hash = "sha256-HdErySgSwNSPEHyBywLyZCAss4vUhsY8BvCPe5hST6Q=";
  };
  wallpaper = pkgs.fetchurl {
    url = "https://files.huwe.mooo.com/Oneshot.png";
    hash = "sha256-LaIzLCW86sbldE9lk7psbYKaTCjwaPLcoD3il6FalTw=";
  };
in
{

  stylix = {
    enable = true;

    autoEnable = true;

    base16Scheme = "${pkgs.base16-schemes}/share/themes/pasque.yaml";
    override = {
      base0D = "F3196E";
    };

    cursor = {
      name = "Bibata-Modern-Classic";
      package = pkgs.bibata-cursors;
      size = 18;
    };

    fonts = {
#      packages = [ pkgs.nerdfonts ];
#       emoji = {
#         package = pkgs.;
#         name = "";
#       };
      monospace = {
        package = pkgs.nerdfonts;
        name = "JetBrainsMono Nerd Font";
      };
#       sansSerif = {
#         package = pkgs.;
#         name = "";
#       };
#       serif = {
#         package = pkgs.;
#         name = "";
#       };
    };

    image = wallpaper;

    opacity = {
      applications = 0.9;
      desktop = 0.9;
      popups = 0.9;
      terminal = 0.9;
    };

    polarity = "dark";

    targets.plymouth.logo = plymouth_logo;
    
  };

  home-manager.users.willifan = {
    stylix = {
      enable = true;
      autoEnable = true;
    };
  };

}
